"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AllegroFilterAux = exports.AllegroFilter = exports.AllegroSummaryInteraction = exports.AllegroManagementResult = exports.AllegroAgent = exports.AllegroSupervisorSummary = exports.AllegroSupervisor = exports.AllegroCampaign = void 0;
class AllegroCampaign {
    constructor(id, description) {
        this.id = id;
        this.description = description;
        this.selected = false;
    }
}
exports.AllegroCampaign = AllegroCampaign;
class AllegroSupervisor {
    constructor() {
        this.vcc = null;
        this.userId = null;
        this.userName = null;
        this.campaignId = null;
        this.workGroupId = null;
    }
}
exports.AllegroSupervisor = AllegroSupervisor;
class AllegroSupervisorSummary {
    constructor() {
        this.vcc = null;
        this.userId = null;
        this.userName = null;
        this.campaigns = [];
    }
}
exports.AllegroSupervisorSummary = AllegroSupervisorSummary;
class AllegroAgent {
    constructor(vcc, campaignId, userId) {
        this.vcc = vcc;
        this.campaignId = campaignId;
        this.userId = userId;
        this.selected = false;
        this.userName = null;
    }
}
exports.AllegroAgent = AllegroAgent;
class AllegroManagementResult {
    constructor(vcc, campaignId, code, description) {
        this.vcc = vcc;
        this.campaignId = campaignId;
        this.code = code;
        this.description = description;
        this.selected = false;
    }
}
exports.AllegroManagementResult = AllegroManagementResult;
class AllegroSummaryInteraction {
    constructor(quantity, time) {
        this.quantity = quantity;
        this.time = time;
        this.interactionType = null;
        this.selected = false;
    }
}
exports.AllegroSummaryInteraction = AllegroSummaryInteraction;
class AllegroFilter {
    constructor(startDate, endDate, startTime, endTime, campaign, agent, resultCode, origin, minDuration, maxDuration) {
        this.startDate = startDate;
        this.endDate = endDate;
        this.startTime = startTime;
        this.endTime = endTime;
        this.campaign = campaign;
        this.agent = agent;
        this.resultCode = resultCode;
        this.origin = origin;
        this.minDuration = minDuration;
        this.maxDuration = maxDuration;
        this.selected = false;
    }
}
exports.AllegroFilter = AllegroFilter;
class AllegroFilterAux {
    constructor(startDate, endDate, startTime, endTime, campaign, agent, resultCode, typeInteraction, origin, maxDuration, minDuration) {
        this.startDate = startDate;
        this.endDate = endDate;
        this.startTime = startTime;
        this.endTime = endTime;
        this.campaign = campaign;
        this.agent = agent;
        this.resultCode = resultCode;
        this.typeInteraction = typeInteraction;
        this.origin = origin;
        this.maxDuration = maxDuration;
        this.minDuration = minDuration;
        this.selected = false;
    }
}
exports.AllegroFilterAux = AllegroFilterAux;
