"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProcessAudioSummary = exports.AudiosStatisticSummary = exports.ProcessAudio = exports.AudioCSV = exports.AudioFormat = exports.Audio = exports.AudioDTO = void 0;
class AudioDTO {
    constructor(pageSize, pageNumber, processId, id, number, agent, durationTime, result, startDate, endDate, type) {
        this.pageSize = pageSize;
        this.pageNumber = pageNumber;
        this.processId = processId;
        this.id = id;
        this.number = number;
        this.agent = agent;
        this.durationTime = durationTime;
        this.result = result;
        this.startDate = startDate;
        this.endDate = endDate;
        this.type = type;
    }
}
exports.AudioDTO = AudioDTO;
class Audio {
    constructor(vcc, id, section, part, processId, number, gender, silenceTime, durationTime, durationLinguisticTime, category1, category2, category3, description, campaign, agent, type, init, isTranscribed, fileName, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId, endDate) {
        this.vcc = vcc;
        this.id = id;
        this.section = section;
        this.part = part;
        this.processId = processId;
        this.number = number;
        this.gender = gender;
        this.silenceTime = silenceTime;
        this.durationTime = durationTime;
        this.durationLinguisticTime = durationLinguisticTime;
        this.category1 = category1;
        this.category2 = category2;
        this.category3 = category3;
        this.description = description;
        this.campaign = campaign;
        this.agent = agent;
        this.type = type;
        this.init = init;
        this.isTranscribed = isTranscribed;
        this.fileName = fileName;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.endDate = endDate;
        this.relativePath = null;
        this.retranscription = false;
    }
}
exports.Audio = Audio;
class AudioFormat {
}
exports.AudioFormat = AudioFormat;
class AudioCSV {
    constructor(ID, Number, Gender, SilenceTime, DurationTime, Category1, Category2, Category3, Description, Campaign, Agent, Type, StartDate, EndDate, DispositionCode) {
        this.ID = ID;
        this.Number = Number;
        this.Gender = Gender;
        this.SilenceTime = SilenceTime;
        this.DurationTime = DurationTime;
        this.Category1 = Category1;
        this.Category2 = Category2;
        this.Category3 = Category3;
        this.Description = Description;
        this.Campaign = Campaign;
        this.Agent = Agent;
        this.Type = Type;
        this.StartDate = StartDate;
        this.EndDate = EndDate;
        this.DispositionCode = DispositionCode;
        this.AgentName = null;
    }
}
exports.AudioCSV = AudioCSV;
class ProcessAudio {
    constructor(processId, id, number, environment, createdDate) {
        this.processId = processId;
        this.id = id;
        this.number = number;
        this.environment = environment;
        this.createdDate = createdDate;
    }
}
exports.ProcessAudio = ProcessAudio;
class AudiosStatisticSummary {
    constructor(totalAudios) {
        this.totalAudios = totalAudios;
    }
}
exports.AudiosStatisticSummary = AudiosStatisticSummary;
class ProcessAudioSummary {
    constructor(vcc, processId, category1, category2, category3, description, total) {
        this.vcc = vcc;
        this.processId = processId;
        this.category1 = category1;
        this.category2 = category2;
        this.category3 = category3;
        this.description = description;
        this.total = total;
    }
}
exports.ProcessAudioSummary = ProcessAudioSummary;
