"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TenantVCC = exports.AzureSubscription = exports.AzureSubscriptionKey = void 0;
class AzureSubscriptionKey {
    constructor(vcc, subscriptionKey, subscriptionName, subscriptionRegion, isDemo) {
        this.vcc = vcc;
        this.subscriptionKey = subscriptionKey;
        this.subscriptionName = subscriptionName;
        this.subscriptionRegion = subscriptionRegion;
        this.isDemo = isDemo;
        this.selected = false;
    }
}
exports.AzureSubscriptionKey = AzureSubscriptionKey;
class AzureSubscription {
    constructor(vcc, azureSubscription, resourceGroup, accountName) {
        this.vcc = vcc;
        this.azureSubscription = azureSubscription;
        this.resourceGroup = resourceGroup;
        this.accountName = accountName;
    }
}
exports.AzureSubscription = AzureSubscription;
class TenantVCC {
    constructor(vcc, tenantId, clientId, clientSecret, resource) {
        this.vcc = vcc;
        this.tenantId = tenantId;
        this.clientId = clientId;
        this.clientSecret = clientSecret;
        this.resource = resource;
    }
}
exports.TenantVCC = TenantVCC;
