"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnvironmentAudioType = exports.EnvironmentType = exports.Environment = void 0;
class Environment {
    constructor(name, type, description, ftpDirectory, apiHost, apiPort, apiUser, apiPassword, dbDisabled, dbServer, dbPort, dbUser, dbPassword, pbxDisabled, pbxServer, pbxPort, pbxUser, pbxPassword, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId) {
        this.name = name;
        this.type = type;
        this.description = description;
        this.ftpDirectory = ftpDirectory;
        this.apiHost = apiHost;
        this.apiPort = apiPort;
        this.apiUser = apiUser;
        this.apiPassword = apiPassword;
        this.dbDisabled = dbDisabled;
        this.dbServer = dbServer;
        this.dbPort = dbPort;
        this.dbUser = dbUser;
        this.dbPassword = dbPassword;
        this.pbxDisabled = pbxDisabled;
        this.pbxServer = pbxServer;
        this.pbxPort = pbxPort;
        this.pbxUser = pbxUser;
        this.pbxPassword = pbxPassword;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.vcc = null;
        this.selected = false;
        this.inUse = false;
        this.bucket = null;
    }
}
exports.Environment = Environment;
class EnvironmentType {
    constructor(name, type) {
        this.name = name;
        this.type = type;
    }
}
exports.EnvironmentType = EnvironmentType;
class EnvironmentAudioType {
    constructor(idAudio, relativePath, nameEnvironment) {
        this.idAudio = idAudio;
        this.relativePath = relativePath;
        this.nameEnvironment = nameEnvironment;
    }
}
exports.EnvironmentAudioType = EnvironmentAudioType;
