"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvaluationFormat = void 0;
class EvaluationFormat {
    constructor(id, description, type, minQualificationAcceptable, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId, managementFormURL, enabled, templateId = null) {
        this.id = id;
        this.description = description;
        this.type = type;
        this.minQualificationAcceptable = minQualificationAcceptable;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.managementFormURL = managementFormURL;
        this.enabled = enabled;
        this.templateId = templateId;
        this.selected = false;
        this.executionType = null;
        this.modelLanguages = null;
        this.minAutomaticQualification = 0;
    }
}
exports.EvaluationFormat = EvaluationFormat;
