"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Query = exports.StudyGenericQuery = exports.StudyResultSummaryDetailViewModel = exports.StudyResultSummary = exports.ProcessAudioStudy = exports.StudyResultDetail = exports.Study = void 0;
class Study {
    constructor(vcc, processId, templateId, name, description, status, type, lastQueryId, errorMessage, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId) {
        this.vcc = vcc;
        this.processId = processId;
        this.templateId = templateId;
        this.name = name;
        this.description = description;
        this.status = status;
        this.type = type;
        this.lastQueryId = lastQueryId;
        this.errorMessage = errorMessage;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.batchScheduleId = null;
    }
}
exports.Study = Study;
class StudyResultDetail {
}
exports.StudyResultDetail = StudyResultDetail;
class ProcessAudioStudy {
    constructor(processId, interactionId, section, part) {
        this.processId = processId;
        this.interactionId = interactionId;
        this.section = section;
        this.part = part;
    }
}
exports.ProcessAudioStudy = ProcessAudioStudy;
class StudyResultSummary {
    constructor(vcc, studyId, templateId, templateThemeId, description, category2, category1, total, duration, silence, confidence, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId) {
        this.vcc = vcc;
        this.studyId = studyId;
        this.templateId = templateId;
        this.templateThemeId = templateThemeId;
        this.description = description;
        this.category2 = category2;
        this.category1 = category1;
        this.total = total;
        this.duration = duration;
        this.silence = silence;
        this.confidence = confidence;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
    }
}
exports.StudyResultSummary = StudyResultSummary;
class StudyResultSummaryDetailViewModel {
    constructor(agent, query, templateThemeId, templateThemeItemId, transcriptionId, section, part) {
        this.agent = agent;
        this.query = query;
        this.templateThemeId = templateThemeId;
        this.templateThemeItemId = templateThemeItemId;
        this.transcriptionId = transcriptionId;
        this.section = section;
        this.part = part;
    }
}
exports.StudyResultSummaryDetailViewModel = StudyResultSummaryDetailViewModel;
class StudyGenericQuery {
}
exports.StudyGenericQuery = StudyGenericQuery;
class Query {
}
exports.Query = Query;
