"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ENABLE_GENERATIVE_ANALYSIS_IMPL = exports.ENABLE_COGNITIVE_ANALYSIS_IMPL = exports.ENABLE_SEMANTIC_QUERY_IMPL = exports.ENABLE_SEMANTIC_ANALYSIS_CONVERT_AUDIO_IMPL = exports.ENABLE_SEMANTIC_ANALYSIS_DOWNLOAD_IMPL = exports.ENABLE_SEMANTIC_ANALYSIS_UPLOAD_IMPL = exports.ENABLE_SENTIMENT_ANALYSIS_IMPL = exports.ENABLE_DIARIZATION_ANALYSIS_IMPL = exports.ENABLE_TRANSCRIPTION_DOWNLOAD_IMPL = exports.ENABLE_TRANSCRIPTION_STANDBY_IMPL = exports.ENABLE_TRANSCRIPTION_UPLOAD_IMPL = exports.ENABLE_DIARIZATION_CONVERT_IMPL = exports.ENABLE_AUDIO_TRANSFER_IMPL = exports.ENABLE_I6_UPDATE_IMPL = exports.ENABLE_PROCESS_IMPL = exports.ENABLE_BATCH_SCHEDULE_IMPL = exports.MINIMUN_FREE_DISK_STORAGE = exports.DEEPGRAM_SERVERS = exports.DEEPGRAM_KEY = exports.SPEECHMATICS_CALLBACK_USAGE = exports.SPEECHMATICS_SERVERS = exports.TRANSCRIPTION_ENGINE = void 0;
const deepgram_model_1 = require("../models/deepgram.model");
const speechmatics_model_1 = require("../models/speechmatics.model");
exports.TRANSCRIPTION_ENGINE = 'SPEECHMATICS';
exports.SPEECHMATICS_SERVERS = [
    new speechmatics_model_1.Speechmatics('saas', 'eu.asr.api.speechmatics.com', 'vCHoV0keFRl81RswDWnphe7jB6ppDJEo'),
    new speechmatics_model_1.Speechmatics('saas', 'us.asr.api.speechmatics.com', 'L84vX01q0ZgqjE8cnxXdWUA7QFSPxvIb')
];
exports.SPEECHMATICS_CALLBACK_USAGE = true;
exports.DEEPGRAM_KEY = '27f083944b231aef11eb46b9b623caea760ddee6';
exports.DEEPGRAM_SERVERS = [
    new deepgram_model_1.Deepgram('api.deepgram.com', '27f083944b231aef11eb46b9b623caea760ddee6')
];
exports.MINIMUN_FREE_DISK_STORAGE = 0.05;
exports.ENABLE_BATCH_SCHEDULE_IMPL = true;
exports.ENABLE_PROCESS_IMPL = true;
exports.ENABLE_I6_UPDATE_IMPL = true;
exports.ENABLE_AUDIO_TRANSFER_IMPL = true;
exports.ENABLE_DIARIZATION_CONVERT_IMPL = true;
exports.ENABLE_TRANSCRIPTION_UPLOAD_IMPL = true;
exports.ENABLE_TRANSCRIPTION_STANDBY_IMPL = true;
exports.ENABLE_TRANSCRIPTION_DOWNLOAD_IMPL = true;
exports.ENABLE_DIARIZATION_ANALYSIS_IMPL = true;
exports.ENABLE_SENTIMENT_ANALYSIS_IMPL = true;
exports.ENABLE_SEMANTIC_ANALYSIS_UPLOAD_IMPL = true;
exports.ENABLE_SEMANTIC_ANALYSIS_DOWNLOAD_IMPL = true;
exports.ENABLE_SEMANTIC_ANALYSIS_CONVERT_AUDIO_IMPL = true;
exports.ENABLE_SEMANTIC_QUERY_IMPL = true;
exports.ENABLE_COGNITIVE_ANALYSIS_IMPL = true;
exports.ENABLE_GENERATIVE_ANALYSIS_IMPL = true;
