"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TipificationItem = exports.TipificationQuery = exports.Tipification = void 0;
class Tipification {
    constructor() {
        this.id = null;
        this.description = null;
        this.detail = null;
        this.tipificationQuery = new TipificationQuery();
        this.items = [];
    }
}
exports.Tipification = Tipification;
class TipificationQuery {
    constructor() {
        this.tipificationId = null;
        this.queryId = null;
        this.queryContent = null;
        this.acceptancePercentage = 0;
        this.acceptanceInteger = 0;
    }
}
exports.TipificationQuery = TipificationQuery;
class TipificationItem {
    constructor() {
        this.scoreId = null;
        this.tipificationId = null;
        this.secondLevelItemId = null;
        this.id = null;
        this.description = null;
        this.order = null;
        this.isChecked = false;
    }
}
exports.TipificationItem = TipificationItem;
